Plugin error from dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more


(steffi) #1

Dear All,
I am trying to execute DADA2 for quality checking and I got the following error. Ive attached my quality plot and my table data.

Is it due to the trimming length? If it is so, what will be appropriate trimming length?
I know if i reduce the trimming length, there wont be a sufficient overlap for merging.

demux.qzv (287.7 KB)
table.qza (287.7 KB)

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …

  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 27 reads in 27 unique sequences.
    Sample 2 - 118 reads in 118 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.
    2b) Reverse Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 27 reads in 27 unique sequences.
    Sample 2 - 118 reads in 118 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.

  3. Denoise remaining samples

  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    In addition: Warning message:
    In is.na(colnames(unqs[[i]])) :
    is.na() applied to non-(list or vector) of type ‘NULL’
    Execution halted
    Traceback (most recent call last):
    File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/data/tmp48ebn12x/forward’, ‘/data/tmp48ebn12x/reverse’, ‘/data/tmp48ebn12x/output.tsv.biom’, ‘/data/tmp48ebn12x/track.tsv’, ‘/data/tmp48ebn12x/filt_f’, ‘/data/tmp48ebn12x/filt_r’, ‘220’, ‘200’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/home/grc/miniconda2/envs/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.


(Matthew Ryan Dillon) #2

Hi there @steffi!

This error comes from DADA2 when none of your paired-end reads were successfully joined. Perhaps your trimming parameters were too aggressive? How big is the region your primers are targeting?


(steffi) #3

In sequencing centre, they have used three primers:

V1V3 500 ±10
V4V6 550 ± 10
V7V9 440 ± 10


(Nicholas Bokulich) #4

(Matthew Ryan Dillon) #5

Looking at your provenance, it like you truncated your forward reads at 280 nts and reverse reads at 200 nts — this is apparently not allowing for any reads that pass the filtering steps to overlap. Have you tried relaxing the parameters a bit? Your other option is to process just the forward reads (you can use the same input in dada2 denoise-single and it will use only the forward reads. Hope that helps! :t_rex: :qiime2:


(Matthew Ryan Dillon) #6